Aller au contenu

Obtenir le profil de facturation PRO d'un client

GET
/v1/guests/{id}/billing-profile
curl --request GET \
--url https://example.com/v1/guests/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/billing-profile \
--header 'X-API-Key: <X-API-Key>'

Retourne null (204 équivalent dans la réponse data) si aucun profil de facturation n’est défini.

id
required
string format: uuid

UUID du profil guest

Profil de facturation (null si absent)

Media type application/json
object
data
required
object
kind
required
string
Allowed values: individual business
companyName
string
nullable
vatRegime
required
string
Allowed values: consumer fr_business fr_business_exempt eu_business_vatid non_eu
siret
string
nullable
vatNumber
string
nullable
verificationStatus
required
string
Allowed values: unverified verified invalid unreachable
siretVerifiedAt
string format: date-time
nullable
vatVerifiedAt
string format: date-time
nullable
billingAddress
object
Example
{
"data": {
"kind": "individual",
"vatRegime": "consumer",
"verificationStatus": "unverified"
}
}

Profil guest introuvable

Media type application/json
object
code
required

Code machine de l’erreur

string
message
required

Message lisible

string
origin

Origine domaine de l’erreur (optionnel)

object
boundedContext
string
module
string
status
required
integer
traceId
required

Identifiant de corrélation pour le support

string
Example
{
"code": "RESERVATION_NOT_FOUND",
"message": "Réservation introuvable",
"status": 404
}